Bug 980040 - rubyeventmachine.so stack corruption causes Thin to crash
rubyeventmachine.so stack corruption causes Thin to crash
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rubygem-eventmachine (Show other bugs)
19
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Vít Ondruch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 05:53 EDT by Jan Včelák
Modified: 2015-02-17 10:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:46:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Včelák 2013-07-01 05:53:36 EDT
Description of problem:

My Sinatra application served by Thin is crashing occasionally due to a stack corruption in rubyeventmachine.so.

This is what I can disclose:

== thin.yml ==

environment: production
chdir: /home/www/APP
address: "::"
user: nginx
group: nginx
port: 4567
rackup: /home/www/APP/config.ru
pid: /home/www/APP.pid
log: /home/www/APP.log
max_conns: 128
timeout: 30
max_persistent_conns: 64
daemonize: true

== config.ru ==

require 'rubygems'
require './server'
run Sinatra::Application

== server.rb ==

#!/usr/bin/ruby
...


Version-Release number of selected component (if applicable):
rubygem-eventmachine-1.0.3-1.fc19.x86_64
rubygem-thin-1.5.0-1.fc19.x86_64
rubygem-sinatra-1.3.5-1.fc19.noarch
ruby-2.0.0.195-8.fc19.x86_64


How reproducible:
I have no idea what is the cause yet...


Steps to Reproduce:
1. sudo thin -C thin.yml -R config.ru start
2. wait for the unknown trigger
3.

Actual results:

Backtrace in the log:

*** stack smashing detected ***: thin server (:::4567) terminated
======= Backtrace: =========
/lib64/libc.so.6(__fortify_fail+0x37)[0x7fc969ac9767]
/lib64/libc.so.6(__fortify_fail+0x0)[0x7fc969ac9730]
/usr/lib64/gems/ruby/eventmachine-1.0.3/lib/rubyeventmachine.so(_ZN18AcceptorDescriptor4ReadEv+0x1f3)[0x7fc9603361a3]
/usr/lib64/gems/ruby/eventmachine-1.0.3/lib/rubyeventmachine.so(_ZN14EventMachine_t13_RunEpollOnceEv+0x129)[0x7fc96032a679]
/usr/lib64/gems/ruby/eventmachine-1.0.3/lib/rubyeventmachine.so(_ZN14EventMachine_t8_RunOnceEv+0x45)[0x7fc96032bab5]
/usr/lib64/gems/ruby/eventmachine-1.0.3/lib/rubyeventmachine.so(_ZN14EventMachine_t3RunEv+0x58)[0x7fc96032d678]
/usr/lib64/gems/ruby/eventmachine-1.0.3/lib/rubyeventmachine.so(+0x16249)[0x7fc960331249]
/lib64/libruby.so.2.0(+0x162632)[0x7fc96aa40632]
/lib64/libruby.so.2.0(+0x174096)[0x7fc96aa52096]
/lib64/libruby.so.2.0(+0x16756c)[0x7fc96aa4556c]
/lib64/libruby.so.2.0(+0x16c32f)[0x7fc96aa4a32f]
/lib64/libruby.so.2.0(rb_iseq_eval+0x129)[0x7fc96aa4c149]
/lib64/libruby.so.2.0(+0x6c2f8)[0x7fc96a94a2f8]
/lib64/libruby.so.2.0(+0x6c99d)[0x7fc96a94a99d]
/lib64/libruby.so.2.0(+0x162632)[0x7fc96aa40632]
/lib64/libruby.so.2.0(+0x174096)[0x7fc96aa52096]
/lib64/libruby.so.2.0(+0x16756c)[0x7fc96aa4556c]
/lib64/libruby.so.2.0(+0x16c32f)[0x7fc96aa4a32f]
/lib64/libruby.so.2.0(rb_iseq_eval_main+0x81)[0x7fc96aa4c201]
/lib64/libruby.so.2.0(+0x6807a)[0x7fc96a94607a]
/lib64/libruby.so.2.0(ruby_exec_node+0x1d)[0x7fc96a9477ad]
/lib64/libruby.so.2.0(ruby_run_node+0x1e)[0x7fc96a94930e]
thin server (:::4567)[0x4008ab]
/lib64/libc.so.6(__libc_start_main+0xf5)[0x7fc9699deb75]
thin server (:::4567)[0x4008d9]
======= Memory map: ========
00400000-00401000 r-xp 00000000 fd:00 4473923                            /usr/bin/ruby-mri
00600000-00601000 r--p 00000000 fd:00 4473923                            /usr/bin/ruby-mri
00601000-00602000 rw-p 00001000 fd:00 4473923                            /usr/bin/ruby-mri
01e5d000-02ad3000 rw-p 00000000 00:00 0                                  [heap]
02ad3000-03303000 rw-p 00000000 00:00 0                                  [heap]
7fc95d69a000-7fc95d69b000 r-xp 00000000 fd:00 4461801                    /usr/lib64/ruby/digest/sha1.so
7fc95d69b000-7fc95d89a000 ---p 00001000 fd:00 4461801                    /usr/lib64/ruby/digest/sha1.so
7fc95d89a000-7fc95d89b000 r--p 00000000 fd:00 4461801                    /usr/lib64/ruby/digest/sha1.so
7fc95d89b000-7fc95d89c000 rw-p 00001000 fd:00 4461801                    /usr/lib64/ruby/digest/sha1.so
7fc95d89c000-7fc95d89d000 r-xp 00000000 fd:00 4461799                    /usr/lib64/ruby/digest/md5.so
7fc95d89d000-7fc95da9c000 ---p 00001000 fd:00 4461799                    /usr/lib64/ruby/digest/md5.so
7fc95da9c000-7fc95da9d000 r--p 00000000 fd:00 4461799                    /usr/lib64/ruby/digest/md5.so
7fc95da9d000-7fc95da9e000 rw-p 00001000 fd:00 4461799                    /usr/lib64/ruby/digest/md5.so
7fc95da9e000-7fc95daae000 r-xp 00000000 fd:00 4861003                    /usr/lib64/gems/ruby/bigdecimal-1.2.0/lib/bigdecimal.so
7fc95daae000-7fc95dcad000 ---p 00010000 fd:00 4861003                    /usr/lib64/gems/ruby/bigdecimal-1.2.0/lib/bigdecimal.so
7fc95dcad000-7fc95dcae000 r--p 0000f000 fd:00 4861003                    /usr/lib64/gems/ruby/bigdecimal-1.2.0/lib/bigdecimal.so
7fc95dcae000-7fc95dcaf000 rw-p 00010000 fd:00 4861003                    /usr/lib64/gems/ruby/bigdecimal-1.2.0/lib/bigdecimal.so
7fc95dcaf000-7fc95dcbc000 r-xp 00000000 fd:00 4473889                    /usr/lib64/ruby/zlib.so
7fc95dcbc000-7fc95debb000 ---p 0000d000 fd:00 4473889                    /usr/lib64/ruby/zlib.so
7fc95debb000-7fc95debc000 r--p 0000c000 fd:00 4473889                    /usr/lib64/ruby/zlib.so
7fc95debc000-7fc95debd000 rw-p 0000d000 fd:00 4473889                    /usr/lib64/ruby/zlib.so
7fc95debd000-7fc95dec3000 r-xp 00000000 fd:00 4473875                    /usr/lib64/ruby/pathname.so
7fc95dec3000-7fc95e0c2000 ---p 00006000 fd:00 4473875                    /usr/lib64/ruby/pathname.so
7fc95e0c2000-7fc95e0c3000 r--p 00005000 fd:00 4473875                    /usr/lib64/ruby/pathname.so
7fc95e0c3000-7fc95e0c4000 rw-p 00006000 fd:00 4473875                    /usr/lib64/ruby/pathname.so
7fc95e0c4000-7fc95e173000 r-xp 00000000 fd:00 4457620                    /usr/lib64/libsqlite3.so.0.8.6
7fc95e173000-7fc95e372000 ---p 000af000 fd:00 4457620                    /usr/lib64/libsqlite3.so.0.8.6
7fc95e372000-7fc95e374000 r--p 000ae000 fd:00 4457620                    /usr/lib64/libsqlite3.so.0.8.6
7fc95e374000-7fc95e377000 rw-p 000b0000 fd:00 4457620                    /usr/lib64/libsqlite3.so.0.8.6
7fc95e377000-7fc95e37f000 r-xp 00000000 fd:00 4987309                    /usr/lib64/gems/ruby/sqlite3-1.3.5/lib/sqlite3/sqlite3_native.so
7fc95e37f000-7fc95e57e000 ---p 00008000 fd:00 4987309                    /usr/lib64/gems/ruby/sqlite3-1.3.5/lib/sqlite3/sqlite3_native.so
7fc95e57e000-7fc95e57f000 r--p 00007000 fd:00 4987309                    /usr/lib64/gems/ruby/sqlite3-1.3.5/lib/sqlite3/sqlite3_native.so
7fc95e57f000-7fc95e580000 rw-p 00008000 fd:00 4987309                    /usr/lib64/gems/ruby/sqlite3-1.3.5/lib/sqlite3/sqlite3_native.so
7fc95e580000-7fc95e587000 r-xp 00000000 fd:00 4861011                    /usr/lib64/gems/ruby/json-1.7.7/lib/json/ext/generator.so
7fc95e587000-7fc95e787000 ---p 00007000 fd:00 4861011                    /usr/lib64/gems/ruby/json-1.7.7/lib/json/ext/generator.so
7fc95e787000-7fc95e788000 r--p 00007000 fd:00 4861011                    /usr/lib64/gems/ruby/json-1.7.7/lib/json/ext/generator.so
7fc95e788000-7fc95e789000 rw-p 00008000 fd:00 4861011                    /usr/lib64/gems/ruby/json-1.7.7/lib/json/ext/generator.so
7fc95e789000-7fc95e78a000 r-xp 00000000 fd:00 4473860                    /usr/lib64/ruby/enc/utf_32le.so
7fc95e78a000-7fc95e98a000 ---p 00001000 fd:00 4473860                    /usr/lib64/ruby/enc/utf_32le.so
7fc95e98a000-7fc95e98b000 r--p 00001000 fd:00 4473860                    /usr/lib64/ruby/enc/utf_32le.so
7fc95e98b000-7fc95e98c000 rw-p 00002000 fd:00 4473860                    /usr/lib64/ruby/enc/utf_32le.so
7fc95e98c000-7fc95e98d000 r-xp 00000000 fd:00 4473859                    /usr/lib64/ruby/enc/utf_32be.so
7fc95e98d000-7fc95eb8d000 ---p 00001000 fd:00 4473859                    /usr/lib64/ruby/enc/utf_32be.so
7fc95eb8d000-7fc95eb8e000 r--p 00001000 fd:00 4473859                    /usr/lib64/ruby/enc/utf_32be.so
7fc95eb8e000-7fc95eb8f000 rw-p 00002000 fd:00 4473859                    /usr/lib64/ruby/enc/utf_32be.so
7fc95eb8f000-7fc95eb90000 r-xp 00000000 fd:00 4473858                    /usr/lib64/ruby/enc/utf_16le.so
7fc95eb90000-7fc95ed90000 ---p 00001000 fd:00 4473858                    /usr/lib64/ruby/enc/utf_16le.so
7fc95ed90000-7fc95ed91000 r--p 00001000 fd:00 4473858                    /usr/lib64/ruby/enc/utf_16le.so
7fc95ed91000-7fc95ed92000 rw-p 00002000 fd:00 4473858                    /usr/lib64/ruby/enc/utf_16le.so
7fc95ed92000-7fc95ed93000 r-xp 00000000 fd:00 4473857                    /usr/lib64/ruby/enc/utf_16be.so
7fc95ed93000-7fc95ef93000 ---p 00001000 fd:00 4473857                    /usr/lib64/ruby/enc/utf_16be.so
7fc95ef93000-7fc95ef94000 r--p 00001000 fd:00 4473857                    /usr/lib64/ruby/enc/utf_16be.so
7fc95ef94000-7fc95ef95000 rw-p 00002000 fd:00 4473857                    /usr/lib64/ruby/enc/utf_16be.so
7fc95ef95000-7fc95ef9b000 r-xp 00000000 fd:00 4861012                    /usr/lib64/gems/ruby/json-1.7.7/lib/json/ext/parser.so
7fc95ef9b000-7fc95f19a000 ---p 00006000 fd:00 4861012                    /usr/lib64/gems/ruby/json-1.7.7/lib/json/ext/parser.so
7fc95f19a000-7fc95f19b000 r--p 00005000 fd:00 4861012                    /usr/lib64/gems/ruby/json-1.7.7/lib/json/ext/parser.so
7fc95f19b000-7fc95f19c000 rw-p 00006000 fd:00 4861012                    /usr/lib64/gems/ruby/json-1.7.7/lib/json/ext/parser.so
7fc95f19c000-7fc95f1a8000 r-xp 00000000 fd:00 4478320                    /usr/lib64/libnss_files-2.17.so
7fc95f1a8000-7fc95f3a7000 ---p 0000c000 fd:00 4478320                    /usr/lib64/libnss_files-2.17.so
7fc95f3a7000-7fc95f3a8000 r--p 0000b000 fd:00 4478320                    /usr/lib64/libnss_files-2.17.so
7fc95f3a8000-7fc95f3a9000 rw-p 0000c000 fd:00 4478320                    /usr/lib64/libnss_files-2.17.so
7fc95f3a9000-7fc95f3ae000 r-xp 00000000 fd:00 4473886                    /usr/lib64/ruby/strscan.so
7fc95f3ae000-7fc95f5ad000 ---p 00005000 fd:00 4473886                    /usr/lib64/ruby/strscan.so
7fc95f5ad000-7fc95f5ae000 r--p 00004000 fd:00 4473886                    /usr/lib64/ruby/strscan.so
7fc95f5ae000-7fc95f5af000 rw-p 00005000 fd:00 4473886                    /usr/lib64/ruby/strscan.so
7fc95f5af000-7fc95f5ce000 r-xp 00000000 fd:00 4459807                    /usr/lib64/libyaml-0.so.2.0.2
7fc95f5ce000-7fc95f7cd000 ---p 0001f000 fd:00 4459807                    /usr/lib64/libyaml-0.so.2.0.2
7fc95f7cd000-7fc95f7ce000 r--p 0001e000 fd:00 4459807                    /usr/lib64/libyaml-0.so.2.0.2
7fc95f7ce000-7fc95f7cf000 rw-p 0001f000 fd:00 4459807                    /usr/lib64/libyaml-0.so.2.0.2
7fc95f7cf000-7fc95f7d5000 r-xp 00000000 fd:00 4600464                    /usr/lib64/gems/ruby/psych-2.0.0/lib/psych.so
7fc95f7d5000-7fc95f9d4000 ---p 00006000 fd:00 4600464                    /usr/lib64/gems/ruby/psych-2.0.0/lib/psych.so
7fc95f9d4000-7fc95f9d5000 r--p 00005000 fd:00 4600464                    /usr/lib64/gems/ruby/psych-2.0.0/lib/psych.so
7fc95f9d5000-7fc95f9d6000 rw-p 00006000 fd:00 4600464                    /usr/lib64/gems/ruby/psych-2.0.0/lib/psych.so
7fc95f9d6000-7fc95f9db000 r-xp 00000000 fd:00 4727734                    /usr/lib64/gems/ruby/thin-1.5.0/lib/thin_parser.so
7fc95f9db000-7fc95fbdb000 ---p 00005000 fd:00 4727734                    /usr/lib64/gems/ruby/thin-1.5.0/lib/thin_parser.so
7fc95fbdb000-7fc95fbdc000 r--p 00005000 fd:00 4727734                    /usr/lib64/gems/ruby/thin-1.5.0/lib/thin_parser.so
7fc95fbdc000-7fc95fbdd000 rw-p 00006000 fd:00 4727734                    /usr/lib64/gems/ruby/thin-1.5.0/lib/thin_parser.so
7fc95fbdd000-7fc95fbff000 r-xp 00000000 fd:00 4473884                    /usr/lib64/ruby/socket.so
7fc95fbff000-7fc95fdff000 ---p 00022000 fd:00 4473884                    /usr/lib64/ruby/socket.so
7fc95fdff000-7fc95fe00000 r--p 00022000 fd:00 4473884                    /usr/lib64/ruby/socket.so
7fc95fe00000-7fc95fe01000 rw-p 00023000 fd:00 4473884                    /usr/lib64/ruby/socket.so
7fc95fe01000-7fc95fe16000 r-xp 00000000 fd:00 4457539                    /usr/lib64/libgcc_s-4.8.1-20130603.so.1
7fc95fe16000-7fc960015000 ---p 00015000 fd:00 4457539                    /usr/lib64/libgcc_s-4.8.1-20130603.so.1
7fc960015000-7fc960016000 r--p 00014000 fd:00 4457539                    /usr/lib64/libgcc_s-4.8.1-20130603.so.1
7fc960016000-7fc960017000 rw-p 00015000 fd:00 4457539                    /usr/lib64/libgcc_s-4.8.1-20130603.so.1
7fc960017000-7fc9600fd000 r-xp 00000000 fd:00 4457331                    /usr/lib64/libstdc++.so.6.0.18
7fc9600fd000-7fc9602fc000 ---p 000e6000 fd:00 4457331                    /usr/lib64/libstdc++.so.6.0.18
7fc9602fc000-7fc960304000 r--p 000e5000 fd:00 4457331                    /usr/lib64/libstdc++.so.6.0.18
7fc960304000-7fc960306000 rw-p 000ed000 fd:00 4457331                    /usr/lib64/libstdc++.so.6.0.18
7fc960306000-7fc96031b000 rw-p 00000000 00:00 0 
7fc96031b000-7fc960342000 r-xp 00000000 fd:00 4596585                    /usr/lib64/gems/ruby/eventmachine-1.0.3/lib/rubyeventmachine.so
7fc960342000-7fc960542000 ---p 00027000 fd:00 4596585                    /usr/lib64/gems/ruby/eventmachine-1.0.3/lib/rubyeventmachine.so
7fc960542000-7fc960543000 r--p 00027000 fd:00 4596585                    /usr/lib64/gems/ruby/eventmachine-1.0.3/lib/rubyeventmachine.so
7fc960543000-7fc960545000 rw-p 00028000 fd:00 4596585                    /usr/lib64/gems/ruby/eventmachine-1.0.3/lib/rubyeventmachine.so
7fc960545000-7fc960546000 r-xp 00000000 fd:00 4473863                    /usr/lib64/ruby/fcntl.so
7fc960546000-7fc960745000 ---p 00001000 fd:00 4473863                    /usr/lib64/ruby/fcntl.so
7fc960745000-7fc960746000 r--p 00000000 fd:00 4473863                    /usr/lib64/ruby/fcntl.so
7fc960746000-7fc960747000 rw-p 00001000 fd:00 4473863                    /usr/lib64/ruby/fcntl.so
7fc960747000-7fc96074a000 r-xp 00000000 fd:00 4461797                    /usr/lib64/ruby/digest.so
7fc96074a000-7fc960949000 ---p 00003000 fd:00 4461797                    /usr/lib64/ruby/digest.so
7fc960949000-7fc96094a000 r--p 00002000 fd:00 4461797                    /usr/lib64/ruby/digest.so
7fc96094a000-7fc96094b000 rw-p 00003000 fd:00 4461797                    /usr/lib64/ruby/digest.so
7fc96094b000-7fc9609ae000 r-xp 00000000 fd:00 4457467                    /usr/lib64/libpcre.so.1.2.0
7fc9609ae000-7fc960bad000 ---p 00063000 fd:00 4457467                    /usr/lib64/libpcre.so.1.2.0
7fc960bad000-7fc960bae000 r--p 00062000 fd:00 4457467                    /usr/lib64/libpcre.so.1.2.0
7fc960bae000-7fc960baf000 rw-p 00063000 fd:00 4457467                    /usr/lib64/libpcre.so.1.2.0
7fc960baf000-7fc960bcf000 r-xp 00000000 fd:00 4457455                    /usr/lib64/libselinux.so.1
7fc960bcf000-7fc960dce000 ---p 00020000 fd:00 4457455                    /usr/lib64/libselinux.so.1
7fc960dce000-7fc960dcf000 r--p 0001f000 fd:00 4457455                    /usr/lib64/libselinux.so.1
7fc960dcf000-7fc960dd0000 rw-p 00020000 fd:00 4457455                    /usr/lib64/libselinux.so.1
7fc960dd0000-7fc960dd2000 rw-p 00000000 00:00 0 
7fc960dd2000-7fc960de8000 r-xp 00000000 fd:00 4479760                    /usr/lib64/libresolv-2.17.so
7fc960de8000-7fc960fe8000 ---p 00016000 fd:00 4479760                    /usr/lib64/libresolv-2.17.so
7fc960fe8000-7fc960fe9000 r--p 00016000 fd:00 4479760                    /usr/lib64/libresolv-2.17.so
7fc960fe9000-7fc960fea000 rw-p 00017000 fd:00 4479760                    /usr/lib64/libresolv-2.17.so
7fc960fea000-7fc960fec000 rw-p 00000000 00:00 0 
7fc960fec000-7fc960fef000 r-xp 00000000 fd:00 4457872                    /usr/lib64/libkeyutils.so.1.4
7fc960fef000-7fc9611ee000 ---p 00003000 fd:00 4457872                    /usr/lib64/libkeyutils.so.1.4
7fc9611ee000-7fc9611ef000 r--p 00002000 fd:00 4457872                    /usr/lib64/libkeyutils.so.1.4
7fc9611ef000-7fc9611f0000 rw-p 00003000 fd:00 4457872                    /usr/lib64/libkeyutils.so.1.4
7fc9611f0000-7fc9611fd000 r-xp 00000000 fd:00 4464601                    /usr/lib64/libkrb5support.so.0.1
7fc9611fd000-7fc9613fc000 ---p 0000d000 fd:00 4464601                    /usr/lib64/libkrb5support.so.0.1
7fc9613fc000-7fc9613fd000 r--p 0000c000 fd:00 4464601                    /usr/lib64/libkrb5support.so.0.1
7fc9613fd000-7fc9613fe000 rw-p 0000d000 fd:00 4464601                    /usr/lib64/libkrb5support.so.0.1
7fc9613fe000-7fc961413000 r-xp 00000000 fd:00 4457480                    /usr/lib64/libz.so.1.2.7
7fc961413000-7fc961612000 ---p 00015000 fd:00 4457480                    /usr/lib64/libz.so.1.2.7
7fc961612000-7fc961613000 r--p 00014000 fd:00 4457480                    /usr/lib64/libz.so.1.2.7
7fc961613000-7fc961614000 rw-p 00015000 fd:00 4457480                    /usr/lib64/libz.so.1.2.7
7fc961614000-7fc961646000 r-xp 00000000 fd:00 4456462                    /usr/lib64/libk5crypto.so.3.1
7fc961646000-7fc961845000 ---p 00032000 fd:00 4456462                    /usr/lib64/libk5crypto.so.3.1
7fc961845000-7fc961847000 r--p 00031000 fd:00 4456462                    /usr/lib64/libk5crypto.so.3.1
7fc961847000-7fc961848000 rw-p 00033000 fd:00 4456462                    /usr/lib64/libk5crypto.so.3.1
7fc961848000-7fc961849000 rw-p 00000000 00:00 0 
7fc961849000-7fc96184c000 r-xp 00000000 fd:00 4457533                    /usr/lib64/libcom_err.so.2.1
7fc96184c000-7fc961a4b000 ---p 00003000 fd:00 4457533                    /usr/lib64/libcom_err.so.2.1
7fc961a4b000-7fc961a4c000 r--p 00002000 fd:00 4457533                    /usr/lib64/libcom_err.so.2.1
7fc961a4c000-7fc961a4d000 rw-p 00003000 fd:00 4457533                    /usr/lib64/libcom_err.so.2.1
7fc961a4d000-7fc961b1b000 r-xp 00000000 fd:00 4457064                    /usr/lib64/libkrb5.so.3.3
7fc961b1b000-7fc961d1b000 ---p 000ce000 fd:00 4457064                    /usr/lib64/libkrb5.so.3.3
7fc961d1b000-7fc961d28000 r--p 000ce000 fd:00 4457064                    /usr/lib64/libkrb5.so.3.3
7fc961d28000-7fc961d2b000 rw-p 000db000 fd:00 4457064                    /usr/lib64/libkrb5.so.3.3
7fc961d2b000-7fc961d71000 r-xp 00000000 fd:00 4457709                    /usr/lib64/libgssapi_krb5.so.2.2
7fc961d71000-7fc961f71000 ---p 00046000 fd:00 4457709                    /usr/lib64/libgssapi_krb5.so.2.2
7fc961f71000-7fc961f72000 r--p 00046000 fd:00 4457709                    /usr/lib64/libgssapi_krb5.so.2.2
7fc961f72000-7fc961f74000 rw-p 00047000 fd:00 4457709                    /usr/lib64/libgssapi_krb5.so.2.2
7fc961f74000-7fc96210f000 r-xp 00000000 fd:00 4462868                    /usr/lib64/libcrypto.so.1.0.1e
7fc96210f000-7fc96230f000 ---p 0019b000 fd:00 4462868                    /usr/lib64/libcrypto.so.1.0.1e
7fc96230f000-7fc962328000 r--p 0019b000 fd:00 4462868                    /usr/lib64/libcrypto.so.1.0.1e
7fc962328000-7fc962333000 rw-p 001b4000 fd:00 4462868                    /usr/lib64/libcrypto.so.1.0.1e
7fc962333000-7fc962338000 rw-p 00000000 00:00 0 
7fc962338000-7fc962395000 r-xp 00000000 fd:00 4473553                    /usr/lib64/libssl.so.1.0.1e
7fc962395000-7fc962594000 ---p 0005d000 fd:00 4473553                    /usr/lib64/libssl.so.1.0.1e
7fc962594000-7fc962598000 r--p 0005c000 fd:00 4473553                    /usr/lib64/libssl.so.1.0.1e
7fc962598000-7fc96259e000 rw-p 00060000 fd:00 4473553                    /usr/lib64/libssl.so.1.0.1e
7fc96259e000-7fc9625e4000 r-xp 00000000 fd:00 4473874                    /usr/lib64/ruby/openssl.so
7fc9625e4000-7fc9627e4000 ---p 00046000 fd:00 4473874                    /usr/lib64/ruby/openssl.so
7fc9627e4000-7fc9627e5000 r--p 00046000 fd:00 4473874                    /usr/lib64/ruby/openssl.so
7fc9627e5000-7fc9627e7000 rw-p 00047000 fd:00 4473874                    /usr/lib64/ruby/openssl.so
7fc9627e7000-7fc9627e8000 rw-p 00000000 00:00 0 
7fc9627e8000-7fc962816000 r-xp 00000000 fd:00 4459777                    /usr/lib64/ruby/date_core.so
7fc962816000-7fc962a16000 ---p 0002e000 fd:00 4459777                    /usr/lib64/ruby/date_core.so
7fc962a16000-7fc962a17000 r--p 0002e000 fd:00 4459777                    /usr/lib64/ruby/date_core.so
7fc962a17000-7fc962a18000 rw-p 0002f000 fd:00 4459777                    /usr/lib64/ruby/date_core.so
7fc962a18000-7fc962a19000 rw-p 00000000 00:00 0 
7fc962a19000-7fc962a20000 r-xp 00000000 fd:00 4473885                    /usr/lib64/ruby/stringio.so
7fc962a20000-7fc962c1f000 ---p 00007000 fd:00 4473885                    /usr/lib64/ruby/stringio.so
7fc962c1f000-7fc962c20000 r--p 00006000 fd:00 4473885                    /usr/lib64/ruby/stringio.so
7fc962c20000-7fc962c21000 rw-p 00007000 fd:00 4473885                    /usr/lib64/ruby/stringio.so
7fc962c21000-7fc962c24000 r-xp 00000000 fd:00 4481230                    /usr/lib64/ruby/etc.so
7fc962c24000-7fc962e23000 ---p 00003000 fd:00 4481230                    /usr/lib64/ruby/etc.so
7fc962e23000-7fc962e24000 r--p 00002000 fd:00 4481230                    /usr/lib64/ruby/etc.so
7fc962e24000-7fc962e25000 rw-p 00003000 fd:00 4481230                    /usr/lib64/ruby/etc.so
7fc962e25000-7fc962e27000 r-xp 00000000 fd:00 4473853                    /usr/lib64/ruby/enc/trans/transdb.so
7fc962e27000-7fc963027000 ---p 00002000 fd:00 4473853                    /usr/lib64/ruby/enc/trans/transdb.so
7fc963027000-7fc963028000 r--p 00002000 fd:00 4473853                    /usr/lib64/ruby/enc/trans/transdb.so
7fc963028000-7fc963029000 rw-p 00003000 fd:00 4473853                    /usr/lib64/ruby/enc/trans/transdb.so
7fc963029000-7fc96302b000 r-xp 00000000 fd:00 4463012                    /usr/lib64/ruby/enc/encdb.so
7fc96302b000-7fc96322a000 ---p 00002000 fd:00 4463012                    /usr/lib64/ruby/enc/encdb.so
7fc96322a000-7fc96322b000 r--p 00001000 fd:00 4463012                    /usr/lib64/ruby/enc/encdb.so
7fc96322b000-7fc96322c000 rw-p 00002000 fd:00 4463012                    /usr/lib64/ruby/enc/encdb.so
7fc96322c000-7fc969751000 r--p 00000000 fd:00 4467341                    /usr/lib/locale/locale-archive
7fc969751000-7fc9697b7000 r-xp 00000000 fd:00 4457033                    /usr/lib64/libfreebl3.so
7fc9697b7000-7fc9699b7000 ---p 00066000 fd:00 4457033                    /usr/lib64/libfreebl3.so
7fc9699b7000-7fc9699b8000 r--p 00066000 fd:00 4457033                    /usr/lib64/libfreebl3.so
7fc9699b8000-7fc9699b9000 rw-p 00067000 fd:00 4457033                    /usr/lib64/libfreebl3.so
7fc9699b9000-7fc9699bd000 rw-p 00000000 00:00 0 
7fc9699bd000-7fc969b72000 r-xp 00000000 fd:00 4457041                    /usr/lib64/libc-2.17.so
7fc969b72000-7fc969d72000 ---p 001b5000 fd:00 4457041                    /usr/lib64/libc-2.17.so
7fc969d72000-7fc969d76000 r--p 001b5000 fd:00 4457041                    /usr/lib64/libc-2.17.so
7fc969d76000-7fc969d78000 rw-p 001b9000 fd:00 4457041                    /usr/lib64/libc-2.17.so
7fc969d78000-7fc969d7d000 rw-p 00000000 00:00 0 
7fc969d7d000-7fc969e7d000 r-xp 00000000 fd:00 4471862                    /usr/lib64/libm-2.17.so
7fc969e7d000-7fc96a07d000 ---p 00100000 fd:00 4471862                    /usr/lib64/libm-2.17.so
7fc96a07d000-7fc96a07e000 r--p 00100000 fd:00 4471862                    /usr/lib64/libm-2.17.so
7fc96a07e000-7fc96a07f000 rw-p 00101000 fd:00 4471862                    /usr/lib64/libm-2.17.so
7fc96a07f000-7fc96a087000 r-xp 00000000 fd:00 4459446                    /usr/lib64/libcrypt-2.17.so
7fc96a087000-7fc96a286000 ---p 00008000 fd:00 4459446                    /usr/lib64/libcrypt-2.17.so
7fc96a286000-7fc96a287000 r--p 00007000 fd:00 4459446                    /usr/lib64/libcrypt-2.17.so
7fc96a287000-7fc96a288000 rw-p 00008000 fd:00 4459446                    /usr/lib64/libcrypt-2.17.so
7fc96a288000-7fc96a2b6000 rw-p 00000000 00:00 0 
7fc96a2b6000-7fc96a2b9000 r-xp 00000000 fd:00 4471524                    /usr/lib64/libdl-2.17.so
7fc96a2b9000-7fc96a4b8000 ---p 00003000 fd:00 4471524                    /usr/lib64/libdl-2.17.so
7fc96a4b8000-7fc96a4b9000 r--p 00002000 fd:00 4471524                    /usr/lib64/libdl-2.17.so
7fc96a4b9000-7fc96a4ba000 rw-p 00003000 fd:00 4471524                    /usr/lib64/libdl-2.17.so
7fc96a4ba000-7fc96a4c1000 r-xp 00000000 fd:00 4479762                    /usr/lib64/librt-2.17.so
7fc96a4c1000-7fc96a6c0000 ---p 00007000 fd:00 4479762                    /usr/lib64/librt-2.17.so
7fc96a6c0000-7fc96a6c1000 r--p 00006000 fd:00 4479762                    /usr/lib64/librt-2.17.so
7fc96a6c1000-7fc96a6c2000 rw-p 00007000 fd:00 4479762                    /usr/lib64/librt-2.17.so
7fc96a6c2000-7fc96a6d8000 r-xp 00000000 fd:00 4457067                    /usr/lib64/libpthread-2.17.so
7fc96a6d8000-7fc96a8d8000 ---p 00016000 fd:00 4457067                    /usr/lib64/libpthread-2.17.so
7fc96a8d8000-7fc96a8d9000 r--p 00016000 fd:00 4457067                    /usr/lib64/libpthread-2.17.so
7fc96a8d9000-7fc96a8da000 rw-p 00017000 fd:00 4457067                    /usr/lib64/libpthread-2.17.so
7fc96a8da000-7fc96a8de000 rw-p 00000000 00:00 0 
7fc96a8de000-7fc96ab12000 r-xp 00000000 fd:00 4481228                    /usr/lib64/libruby.so.2.0.0
7fc96ab12000-7fc96ad12000 ---p 00234000 fd:00 4481228                    /usr/lib64/libruby.so.2.0.0
7fc96ad12000-7fc96ad17000 r--p 00234000 fd:00 4481228                    /usr/lib64/libruby.so.2.0.0
7fc96ad17000-7fc96ad1a000 rw-p 00239000 fd:00 4481228                    /usr/lib64/libruby.so.2.0.0
7fc96ad1a000-7fc96ad3a000 rw-p 00000000 00:00 0 
7fc96ad3a000-7fc96ad5b000 r-xp 00000000 fd:00 4466172                    /usr/lib64/ld-2.17.so
7fc96ae3a000-7fc96af41000 rw-p 00000000 00:00 0 
7fc96af53000-7fc96af55000 rw-p 00000000 00:00 0 
7fc96af55000-7fc96af56000 ---p 00000000 00:00 0 
7fc96af56000-7fc96af5a000 rw-p 00000000 00:00 0                          [stack:2779]
7fc96af5a000-7fc96af5b000 r--p 00020000 fd:00 4466172                    /usr/lib64/ld-2.17.so
7fc96af5b000-7fc96af5c000 rw-p 00021000 fd:00 4466172                    /usr/lib64/ld-2.17.so
7fc96af5c000-7fc96af5d000 rw-p 00000000 00:00 0 
7fffb2664000-7fffb2685000 rw-p 00000000 00:00 0                          [stack]
7fffb26b7000-7fffb26b9000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]


Expected results:

(no crash)


Additional info:

I found similar problem reported for Debian, maybe the IPv6 is the cause?
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=678512
Comment 1 Fedora End Of Life 2015-01-09 13:35:58 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 10:46:09 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.